#version unofficial MegaPov 0.3;

#declare cam1 = camera{
	location <-4,.1,-4>
	look_at <5,.1,5>
}
#declare fish1 = camera{
	fisheye
	location <0,0,0>
	look_at <0,1,0>
	angle 180
}

camera{cam1}

light_source{ <9,0,0>*100, rgb <1,1,1>
	looks_like{sphere{0, 20 pigment{rgb 1} finish{ambient 1}}}
	rotate z*clock*90
	rotate y*-45
}


// The sky
sphere{ 0, 500 	
	pigment{rgbt 1}
	hollow
	interior{
		media{
			scattering{ 6, 60000000 extinction .5 ior 1.5}
			samples 1, 10
			intervals 1
			confidence .999
			variance 1/1000
			method 3
		}
	}
	no_shadow
	translate y*-495
}

global_settings{max_trace_level 10 max_light 2}

sphere{y*-495, 492 pigment{checker color rgb .2, color rgb .5} finish{ambient 1 diffuse 0}}
//plane{y, -3 pigment{checker color rgb .2, color rgb .5} finish{ambient 1 diffuse 0}}